/* soapKCmdProxy.h
   Generated by gSOAP 2.8.74 for ../provider/include/proto.h

gSOAP XML Web services tools
Copyright (C) 2000-2018, Robert van Engelen, Genivia Inc. All Rights Reserved.
The soapcpp2 tool and its generated software are released under the GPL.
This program is released under the GPL with the additional exemption that
compiling, linking, and/or using OpenSSL is allowed.
--------------------------------------------------------------------------------
A commercial use license is available from Genivia Inc., contact@genivia.com
--------------------------------------------------------------------------------
*/

#ifndef soapKCmdProxy_H
#define soapKCmdProxy_H
#include "soapH.h"

    class SOAP_CMAC KCmdProxy {
      public:
        /// Context to manage proxy IO and data
        struct soap *soap;
        /// flag indicating that this context is owned by this proxy and should be deleted by the destructor
        bool soap_own;
        /// Endpoint URL of service 'KCmdProxy' (change as needed)
        const char *soap_endpoint;
        /// Variables globally declared in ../provider/include/proto.h, if any
        /// Construct a proxy with new managing context
        KCmdProxy();
        /// Copy constructor
        KCmdProxy(const KCmdProxy& rhs);
        /// Construct proxy given a shared managing context
        KCmdProxy(struct soap*);
        /// Construct proxy given a shared managing context and endpoint URL
        KCmdProxy(struct soap*, const char *soap_endpoint_url);
        /// Constructor taking an endpoint URL
        KCmdProxy(const char *soap_endpoint_url);
        /// Constructor taking input and output mode flags for the new managing context
        KCmdProxy(soap_mode iomode);
        /// Constructor taking endpoint URL and input and output mode flags for the new managing context
        KCmdProxy(const char *soap_endpoint_url, soap_mode iomode);
        /// Constructor taking input and output mode flags for the new managing context
        KCmdProxy(soap_mode imode, soap_mode omode);
        /// Destructor deletes non-shared managing context only (use destroy() to delete deserialized data)
        virtual ~KCmdProxy();
        /// Initializer used by constructors
        virtual void KCmdProxy_init(soap_mode imode, soap_mode omode);
        /// Return a copy that has a new managing context with the same engine state
        virtual KCmdProxy *copy();
        /// Copy assignment
        KCmdProxy& operator=(const KCmdProxy&);
        /// Delete all deserialized data (uses soap_destroy() and soap_end())
        virtual void destroy();
        /// Delete all deserialized data and reset to default
        virtual void reset();
        /// Disables and removes SOAP Header from message by setting soap->header = NULL
        virtual void soap_noheader();
        /// Get SOAP Header structure (i.e. soap->header, which is NULL when absent)
        virtual ::SOAP_ENV__Header *soap_header();
        /// Get SOAP Fault structure (i.e. soap->fault, which is NULL when absent)
        virtual ::SOAP_ENV__Fault *soap_fault();
        /// Get SOAP Fault subcode QName string (NULL when absent)
        virtual const char *soap_fault_subcode();
        /// Get SOAP Fault string/reason (NULL when absent)
        virtual const char *soap_fault_string();
        /// Get SOAP Fault detail XML string (NULL when absent)
        virtual const char *soap_fault_detail();
        /// Close connection (normally automatic, except for send_X ops)
        virtual int soap_close_socket();
        /// Force close connection (can kill a thread blocked on IO)
        virtual int soap_force_close_socket();
        /// Print fault
        virtual void soap_print_fault(FILE*);
    #ifndef WITH_LEAN
    #ifndef WITH_COMPAT
        /// Print fault to stream
        virtual void soap_stream_fault(std::ostream&);
    #endif
        /// Write fault to buffer
        virtual char *soap_sprint_fault(char *buf, size_t len);
    #endif
        /// Web service operation 'logon' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int logon(const char *szUsername, const char *szPassword, const char *szImpersonateUser, const char *szVersion, unsigned int ulCapabilities, unsigned int ulFlags, const struct xsd__base64Binary& sLicenseReq, ULONG64 ullSessionGroup, const char *szClientApp, const char *szClientAppVersion, const char *szClientAppMisc, struct logonResponse *lpsLogonResponse) { return this->logon(NULL, NULL, szUsername, szPassword, szImpersonateUser, szVersion, ulCapabilities, ulFlags, sLicenseReq, ullSessionGroup, szClientApp, szClientAppVersion, szClientAppMisc, lpsLogonResponse); }
        /// Web service operation 'logon' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int logon(const char *soap_endpoint_url, const char *soap_action, const char *szUsername, const char *szPassword, const char *szImpersonateUser, const char *szVersion, unsigned int ulCapabilities, unsigned int ulFlags, const struct xsd__base64Binary& sLicenseReq, ULONG64 ullSessionGroup, const char *szClientApp, const char *szClientAppVersion, const char *szClientAppMisc, struct logonResponse *lpsLogonResponse);
        /// Web service operation 'ssoLogon' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int ssoLogon(ULONG64 ulSessionId, const char *szUsername, const char *szImpersonateUser, struct xsd__base64Binary *lpInput, const char *clientVersion, unsigned int clientCaps, const struct xsd__base64Binary& sLicenseReq, ULONG64 ullSessionGroup, const char *szClientApp, const char *szClientAppVersion, const char *szClientAppMisc, struct ssoLogonResponse *lpsResponse) { return this->ssoLogon(NULL, NULL, ulSessionId, szUsername, szImpersonateUser, lpInput, clientVersion, clientCaps, sLicenseReq, ullSessionGroup, szClientApp, szClientAppVersion, szClientAppMisc, lpsResponse); }
        /// Web service operation 'ssoLogon' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int ssoLogon(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const char *szUsername, const char *szImpersonateUser, struct xsd__base64Binary *lpInput, const char *clientVersion, unsigned int clientCaps, const struct xsd__base64Binary& sLicenseReq, ULONG64 ullSessionGroup, const char *szClientApp, const char *szClientAppVersion, const char *szClientAppMisc, struct ssoLogonResponse *lpsResponse);
        /// Web service operation 'getStore' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int getStore(ULONG64 ulSessionId, struct xsd__base64Binary *lpsEntryId, struct getStoreResponse *lpsResponse) { return this->getStore(NULL, NULL, ulSessionId, lpsEntryId, lpsResponse); }
        /// Web service operation 'getStore' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int getStore(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct xsd__base64Binary *lpsEntryId, struct getStoreResponse *lpsResponse);
        /// Web service operation 'getStoreName' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int getStoreName(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct getStoreNameResponse *lpsResponse) { return this->getStoreName(NULL, NULL, ulSessionId, sEntryId, lpsResponse); }
        /// Web service operation 'getStoreName' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int getStoreName(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct getStoreNameResponse *lpsResponse);
        /// Web service operation 'getStoreType' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int getStoreType(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct getStoreTypeResponse *lpsResponse) { return this->getStoreType(NULL, NULL, ulSessionId, sEntryId, lpsResponse); }
        /// Web service operation 'getStoreType' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int getStoreType(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct getStoreTypeResponse *lpsResponse);
        /// Web service operation 'getPublicStore' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int getPublicStore(ULONG64 ulSessionId, unsigned int ulFlags, struct getStoreResponse *lpsResponse) { return this->getPublicStore(NULL, NULL, ulSessionId, ulFlags, lpsResponse); }
        /// Web service operation 'getPublicStore' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int getPublicStore(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulFlags, struct getStoreResponse *lpsResponse);
        /// Web service operation 'logoff' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int logoff(ULONG64 ulSessionId, unsigned int *result) { return this->logoff(NULL, NULL, ulSessionId, result); }
        /// Web service operation 'logoff' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int logoff(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int *result);
        /// Web service operation 'getRights' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int getRights(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, int ulType, struct rightsResponse *lpsRightResponse) { return this->getRights(NULL, NULL, ulSessionId, sEntryId, ulType, lpsRightResponse); }
        /// Web service operation 'getRights' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int getRights(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, int ulType, struct rightsResponse *lpsRightResponse);
        /// Web service operation 'setRights' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int setRights(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct rightsArray *lpsrightsArray, unsigned int *result) { return this->setRights(NULL, NULL, ulSessionId, sEntryId, lpsrightsArray, result); }
        /// Web service operation 'setRights' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int setRights(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct rightsArray *lpsrightsArray, unsigned int *result);
        /// Web service operation 'loadProp' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int loadProp(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulObjId, unsigned int ulPropTag, struct loadPropResponse *lpsResponse) { return this->loadProp(NULL, NULL, ulSessionId, sEntryId, ulObjId, ulPropTag, lpsResponse); }
        /// Web service operation 'loadProp' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int loadProp(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulObjId, unsigned int ulPropTag, struct loadPropResponse *lpsResponse);
        /// Web service operation 'saveObject' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int saveObject(ULONG64 ulSessionId, const struct xsd__base64Binary& sParentEntryId, const struct xsd__base64Binary& sEntryId, struct saveObject *lpsSaveObj, unsigned int ulFlags, unsigned int ulSyncId, struct loadObjectResponse *lpsLoadObjectResponse) { return this->saveObject(NULL, NULL, ulSessionId, sParentEntryId, sEntryId, lpsSaveObj, ulFlags, ulSyncId, lpsLoadObjectResponse); }
        /// Web service operation 'saveObject' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int saveObject(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sParentEntryId, const struct xsd__base64Binary& sEntryId, struct saveObject *lpsSaveObj, unsigned int ulFlags, unsigned int ulSyncId, struct loadObjectResponse *lpsLoadObjectResponse);
        /// Web service operation 'loadObject' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int loadObject(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct notifySubscribe *lpsNotSubscribe, unsigned int ulFlags, struct loadObjectResponse *lpsLoadObjectResponse) { return this->loadObject(NULL, NULL, ulSessionId, sEntryId, lpsNotSubscribe, ulFlags, lpsLoadObjectResponse); }
        /// Web service operation 'loadObject' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int loadObject(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct notifySubscribe *lpsNotSubscribe, unsigned int ulFlags, struct loadObjectResponse *lpsLoadObjectResponse);
        /// Web service operation 'createFolder' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int createFolder(ULONG64 ulSessionId, const struct xsd__base64Binary& sParentId, struct xsd__base64Binary *lpsNewEntryId, unsigned int ulType, const char *szName, const char *szComment, bool fOpenIfExists, unsigned int ulSyncId, const struct xsd__base64Binary& sOrigSourceKey, struct createFolderResponse *lpsCreateFolderResponse) { return this->createFolder(NULL, NULL, ulSessionId, sParentId, lpsNewEntryId, ulType, szName, szComment, fOpenIfExists, ulSyncId, sOrigSourceKey, lpsCreateFolderResponse); }
        /// Web service operation 'createFolder' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int createFolder(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sParentId, struct xsd__base64Binary *lpsNewEntryId, unsigned int ulType, const char *szName, const char *szComment, bool fOpenIfExists, unsigned int ulSyncId, const struct xsd__base64Binary& sOrigSourceKey, struct createFolderResponse *lpsCreateFolderResponse);
        /// Web service operation 'deleteObjects' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int deleteObjects(ULONG64 ulSessionId, unsigned int ulFlags, struct entryList *aMessages, unsigned int ulSyncId, unsigned int *result) { return this->deleteObjects(NULL, NULL, ulSessionId, ulFlags, aMessages, ulSyncId, result); }
        /// Web service operation 'deleteObjects' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int deleteObjects(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulFlags, struct entryList *aMessages, unsigned int ulSyncId, unsigned int *result);
        /// Web service operation 'copyObjects' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int copyObjects(ULONG64 ulSessionId, struct entryList *aMessages, const struct xsd__base64Binary& sDestFolderId, unsigned int ulFlags, unsigned int ulSyncId, unsigned int *result) { return this->copyObjects(NULL, NULL, ulSessionId, aMessages, sDestFolderId, ulFlags, ulSyncId, result); }
        /// Web service operation 'copyObjects' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int copyObjects(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct entryList *aMessages, const struct xsd__base64Binary& sDestFolderId, unsigned int ulFlags, unsigned int ulSyncId, unsigned int *result);
        /// Web service operation 'emptyFolder' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int emptyFolder(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags, unsigned int ulSyncId, unsigned int *result) { return this->emptyFolder(NULL, NULL, ulSessionId, sEntryId, ulFlags, ulSyncId, result); }
        /// Web service operation 'emptyFolder' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int emptyFolder(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags, unsigned int ulSyncId, unsigned int *result);
        /// Web service operation 'deleteFolder' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int deleteFolder(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags, unsigned int ulSyncId, unsigned int *result) { return this->deleteFolder(NULL, NULL, ulSessionId, sEntryId, ulFlags, ulSyncId, result); }
        /// Web service operation 'deleteFolder' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int deleteFolder(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags, unsigned int ulSyncId, unsigned int *result);
        /// Web service operation 'copyFolder' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int copyFolder(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, const struct xsd__base64Binary& sDestFolderId, const char *lpszNewFolderName, unsigned int ulFlags, unsigned int ulSyncId, unsigned int *result) { return this->copyFolder(NULL, NULL, ulSessionId, sEntryId, sDestFolderId, lpszNewFolderName, ulFlags, ulSyncId, result); }
        /// Web service operation 'copyFolder' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int copyFolder(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, const struct xsd__base64Binary& sDestFolderId, const char *lpszNewFolderName, unsigned int ulFlags, unsigned int ulSyncId, unsigned int *result);
        /// Web service operation 'setReadFlags' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int setReadFlags(ULONG64 ulSessionId, unsigned int ulFlags, struct xsd__base64Binary *lpsEntryId, struct entryList *lpMessages, unsigned int ulSyncId, unsigned int *result) { return this->setReadFlags(NULL, NULL, ulSessionId, ulFlags, lpsEntryId, lpMessages, ulSyncId, result); }
        /// Web service operation 'setReadFlags' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int setReadFlags(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulFlags, struct xsd__base64Binary *lpsEntryId, struct entryList *lpMessages, unsigned int ulSyncId, unsigned int *result);
        /// Web service operation 'setReceiveFolder' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int setReceiveFolder(ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreId, struct xsd__base64Binary *lpsEntryId, const char *lpszMessageClass, unsigned int *result) { return this->setReceiveFolder(NULL, NULL, ulSessionId, sStoreId, lpsEntryId, lpszMessageClass, result); }
        /// Web service operation 'setReceiveFolder' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int setReceiveFolder(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreId, struct xsd__base64Binary *lpsEntryId, const char *lpszMessageClass, unsigned int *result);
        /// Web service operation 'getReceiveFolder' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int getReceiveFolder(ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreId, const char *lpszMessageClass, struct receiveFolderResponse *lpsReceiveFolder) { return this->getReceiveFolder(NULL, NULL, ulSessionId, sStoreId, lpszMessageClass, lpsReceiveFolder); }
        /// Web service operation 'getReceiveFolder' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int getReceiveFolder(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreId, const char *lpszMessageClass, struct receiveFolderResponse *lpsReceiveFolder);
        /// Web service operation 'getReceiveFolderTable' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int getReceiveFolderTable(ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreId, struct receiveFolderTableResponse *lpsReceiveFolderTable) { return this->getReceiveFolderTable(NULL, NULL, ulSessionId, sStoreId, lpsReceiveFolderTable); }
        /// Web service operation 'getReceiveFolderTable' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int getReceiveFolderTable(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreId, struct receiveFolderTableResponse *lpsReceiveFolderTable);
        /// Web service operation 'getMessageStatus' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int getMessageStatus(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags, struct messageStatus *lpsStatus) { return this->getMessageStatus(NULL, NULL, ulSessionId, sEntryId, ulFlags, lpsStatus); }
        /// Web service operation 'getMessageStatus' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int getMessageStatus(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags, struct messageStatus *lpsStatus);
        /// Web service operation 'setMessageStatus' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int setMessageStatus(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulNewStatus, unsigned int ulNewStatusMask, unsigned int ulSyncId, struct messageStatus *lpsOldStatus) { return this->setMessageStatus(NULL, NULL, ulSessionId, sEntryId, ulNewStatus, ulNewStatusMask, ulSyncId, lpsOldStatus); }
        /// Web service operation 'setMessageStatus' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int setMessageStatus(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulNewStatus, unsigned int ulNewStatusMask, unsigned int ulSyncId, struct messageStatus *lpsOldStatus);
        /// Web service operation 'getIDsFromNames' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int getIDsFromNames(ULONG64 ulSessionId, struct namedPropArray *lpsNamedProps, unsigned int ulFlags, struct getIDsFromNamesResponse *lpsResponse) { return this->getIDsFromNames(NULL, NULL, ulSessionId, lpsNamedProps, ulFlags, lpsResponse); }
        /// Web service operation 'getIDsFromNames' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int getIDsFromNames(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct namedPropArray *lpsNamedProps, unsigned int ulFlags, struct getIDsFromNamesResponse *lpsResponse);
        /// Web service operation 'getNamesFromIDs' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int getNamesFromIDs(ULONG64 ulSessionId, struct propTagArray *lpsPropTags, struct getNamesFromIDsResponse *lpsResponse) { return this->getNamesFromIDs(NULL, NULL, ulSessionId, lpsPropTags, lpsResponse); }
        /// Web service operation 'getNamesFromIDs' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int getNamesFromIDs(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct propTagArray *lpsPropTags, struct getNamesFromIDsResponse *lpsResponse);
        /// Web service operation 'notify' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int notify(ULONG64 ulSessionId, const struct notification& sNotification, unsigned int *er) { return this->notify(NULL, NULL, ulSessionId, sNotification, er); }
        /// Web service operation 'notify' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int notify(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct notification& sNotification, unsigned int *er);
        /// Web service operation 'notifySubscribe' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int notifySubscribe(ULONG64 ulSessionId, struct notifySubscribe *notifySubscribe, unsigned int *result) { return this->notifySubscribe(NULL, NULL, ulSessionId, notifySubscribe, result); }
        /// Web service operation 'notifySubscribe' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int notifySubscribe(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct notifySubscribe *notifySubscribe, unsigned int *result);
        /// Web service operation 'notifySubscribeMulti' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int notifySubscribeMulti(ULONG64 ulSessionId, struct notifySubscribeArray *notifySubscribeArray, unsigned int *result) { return this->notifySubscribeMulti(NULL, NULL, ulSessionId, notifySubscribeArray, result); }
        /// Web service operation 'notifySubscribeMulti' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int notifySubscribeMulti(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct notifySubscribeArray *notifySubscribeArray, unsigned int *result);
        /// Web service operation 'notifyUnSubscribe' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int notifyUnSubscribe(ULONG64 ulSessionId, unsigned int ulConnection, unsigned int *result) { return this->notifyUnSubscribe(NULL, NULL, ulSessionId, ulConnection, result); }
        /// Web service operation 'notifyUnSubscribe' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int notifyUnSubscribe(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulConnection, unsigned int *result);
        /// Web service operation 'notifyUnSubscribeMulti' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int notifyUnSubscribeMulti(ULONG64 ulSessionId, struct mv_long *ulConnectionArray, unsigned int *result) { return this->notifyUnSubscribeMulti(NULL, NULL, ulSessionId, ulConnectionArray, result); }
        /// Web service operation 'notifyUnSubscribeMulti' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int notifyUnSubscribeMulti(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct mv_long *ulConnectionArray, unsigned int *result);
        /// Web service operation 'notifyGetItems' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int notifyGetItems(ULONG64 ulSessionId, struct notifyResponse *notifications) { return this->notifyGetItems(NULL, NULL, ulSessionId, notifications); }
        /// Web service operation 'notifyGetItems' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int notifyGetItems(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct notifyResponse *notifications);
        /// Web service operation 'tableOpen' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int tableOpen(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulTableType, unsigned int ulType, unsigned int ulFlags, struct tableOpenResponse *lpsTableOpenResponse) { return this->tableOpen(NULL, NULL, ulSessionId, sEntryId, ulTableType, ulType, ulFlags, lpsTableOpenResponse); }
        /// Web service operation 'tableOpen' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int tableOpen(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulTableType, unsigned int ulType, unsigned int ulFlags, struct tableOpenResponse *lpsTableOpenResponse);
        /// Web service operation 'tableClose' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int tableClose(ULONG64 ulSessionId, unsigned int ulTableId, unsigned int *result) { return this->tableClose(NULL, NULL, ulSessionId, ulTableId, result); }
        /// Web service operation 'tableClose' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int tableClose(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, unsigned int *result);
        /// Web service operation 'tableSetColumns' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int tableSetColumns(ULONG64 ulSessionId, unsigned int ulTableId, struct propTagArray *aPropTag, unsigned int *result) { return this->tableSetColumns(NULL, NULL, ulSessionId, ulTableId, aPropTag, result); }
        /// Web service operation 'tableSetColumns' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int tableSetColumns(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, struct propTagArray *aPropTag, unsigned int *result);
        /// Web service operation 'tableQueryColumns' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int tableQueryColumns(ULONG64 ulSessionId, unsigned int ulTableId, unsigned int ulFlags, struct tableQueryColumnsResponse *lpsTableQueryColumnsResponse) { return this->tableQueryColumns(NULL, NULL, ulSessionId, ulTableId, ulFlags, lpsTableQueryColumnsResponse); }
        /// Web service operation 'tableQueryColumns' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int tableQueryColumns(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, unsigned int ulFlags, struct tableQueryColumnsResponse *lpsTableQueryColumnsResponse);
        /// Web service operation 'tableSort' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int tableSort(ULONG64 ulSessionId, unsigned int ulTableId, struct sortOrderArray *aSortOrder, unsigned int ulCategories, unsigned int ulExpanded, unsigned int *result) { return this->tableSort(NULL, NULL, ulSessionId, ulTableId, aSortOrder, ulCategories, ulExpanded, result); }
        /// Web service operation 'tableSort' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int tableSort(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, struct sortOrderArray *aSortOrder, unsigned int ulCategories, unsigned int ulExpanded, unsigned int *result);
        /// Web service operation 'tableRestrict' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int tableRestrict(ULONG64 ulSessionId, unsigned int ulTableId, struct restrictTable *lpRestrict, unsigned int *result) { return this->tableRestrict(NULL, NULL, ulSessionId, ulTableId, lpRestrict, result); }
        /// Web service operation 'tableRestrict' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int tableRestrict(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, struct restrictTable *lpRestrict, unsigned int *result);
        /// Web service operation 'tableGetRowCount' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int tableGetRowCount(ULONG64 ulSessionId, unsigned int ulTableId, struct tableGetRowCountResponse *lpsTableGetRowCountResponse) { return this->tableGetRowCount(NULL, NULL, ulSessionId, ulTableId, lpsTableGetRowCountResponse); }
        /// Web service operation 'tableGetRowCount' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int tableGetRowCount(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, struct tableGetRowCountResponse *lpsTableGetRowCountResponse);
        /// Web service operation 'tableQueryRows' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int tableQueryRows(ULONG64 ulSessionId, unsigned int ulTableId, unsigned int ulRowCount, unsigned int ulFlags, struct tableQueryRowsResponse *lpsQueryRowsResponse) { return this->tableQueryRows(NULL, NULL, ulSessionId, ulTableId, ulRowCount, ulFlags, lpsQueryRowsResponse); }
        /// Web service operation 'tableQueryRows' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int tableQueryRows(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, unsigned int ulRowCount, unsigned int ulFlags, struct tableQueryRowsResponse *lpsQueryRowsResponse);
        /// Web service operation 'tableFindRow' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int tableFindRow(ULONG64 ulSessionId, unsigned int ulTableId, unsigned int ulBookmark, unsigned int ulFlags, struct restrictTable *lpsRestrict, unsigned int *result) { return this->tableFindRow(NULL, NULL, ulSessionId, ulTableId, ulBookmark, ulFlags, lpsRestrict, result); }
        /// Web service operation 'tableFindRow' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int tableFindRow(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, unsigned int ulBookmark, unsigned int ulFlags, struct restrictTable *lpsRestrict, unsigned int *result);
        /// Web service operation 'tableSeekRow' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int tableSeekRow(ULONG64 ulSessionId, unsigned int ulTableId, unsigned int ulBookmark, int lRowCount, struct tableSeekRowResponse *lpsResponse) { return this->tableSeekRow(NULL, NULL, ulSessionId, ulTableId, ulBookmark, lRowCount, lpsResponse); }
        /// Web service operation 'tableSeekRow' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int tableSeekRow(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, unsigned int ulBookmark, int lRowCount, struct tableSeekRowResponse *lpsResponse);
        /// Web service operation 'tableCreateBookmark' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int tableCreateBookmark(ULONG64 ulSessionId, unsigned int ulTableId, struct tableBookmarkResponse *lpsResponse) { return this->tableCreateBookmark(NULL, NULL, ulSessionId, ulTableId, lpsResponse); }
        /// Web service operation 'tableCreateBookmark' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int tableCreateBookmark(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, struct tableBookmarkResponse *lpsResponse);
        /// Web service operation 'tableFreeBookmark' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int tableFreeBookmark(ULONG64 ulSessionId, unsigned int ulTableId, unsigned int ulbkPosition, unsigned int *result) { return this->tableFreeBookmark(NULL, NULL, ulSessionId, ulTableId, ulbkPosition, result); }
        /// Web service operation 'tableFreeBookmark' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int tableFreeBookmark(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, unsigned int ulbkPosition, unsigned int *result);
        /// Web service operation 'tableSetSearchCriteria' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int tableSetSearchCriteria(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct restrictTable *lpRestrict, struct entryList *lpFolders, unsigned int ulFlags, unsigned int *result) { return this->tableSetSearchCriteria(NULL, NULL, ulSessionId, sEntryId, lpRestrict, lpFolders, ulFlags, result); }
        /// Web service operation 'tableSetSearchCriteria' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int tableSetSearchCriteria(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct restrictTable *lpRestrict, struct entryList *lpFolders, unsigned int ulFlags, unsigned int *result);
        /// Web service operation 'tableGetSearchCriteria' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int tableGetSearchCriteria(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct tableGetSearchCriteriaResponse *lpsResponse) { return this->tableGetSearchCriteria(NULL, NULL, ulSessionId, sEntryId, lpsResponse); }
        /// Web service operation 'tableGetSearchCriteria' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int tableGetSearchCriteria(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct tableGetSearchCriteriaResponse *lpsResponse);
        /// Web service operation 'tableExpandRow' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int tableExpandRow(ULONG64 ulSessionId, unsigned int ulTableId, const struct xsd__base64Binary& sInstanceKey, unsigned int ulRowCount, unsigned int ulFlags, struct tableExpandRowResponse *lpsTableExpandRowResponse) { return this->tableExpandRow(NULL, NULL, ulSessionId, ulTableId, sInstanceKey, ulRowCount, ulFlags, lpsTableExpandRowResponse); }
        /// Web service operation 'tableExpandRow' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int tableExpandRow(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, const struct xsd__base64Binary& sInstanceKey, unsigned int ulRowCount, unsigned int ulFlags, struct tableExpandRowResponse *lpsTableExpandRowResponse);
        /// Web service operation 'tableCollapseRow' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int tableCollapseRow(ULONG64 ulSessionId, unsigned int ulTableId, const struct xsd__base64Binary& sInstanceKey, unsigned int ulFlags, struct tableCollapseRowResponse *lpsTableCollapseRowResponse) { return this->tableCollapseRow(NULL, NULL, ulSessionId, ulTableId, sInstanceKey, ulFlags, lpsTableCollapseRowResponse); }
        /// Web service operation 'tableCollapseRow' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int tableCollapseRow(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, const struct xsd__base64Binary& sInstanceKey, unsigned int ulFlags, struct tableCollapseRowResponse *lpsTableCollapseRowResponse);
        /// Web service operation 'tableGetCollapseState' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int tableGetCollapseState(ULONG64 ulSessionId, unsigned int ulTableId, const struct xsd__base64Binary& sBookmark, struct tableGetCollapseStateResponse *lpsResponse) { return this->tableGetCollapseState(NULL, NULL, ulSessionId, ulTableId, sBookmark, lpsResponse); }
        /// Web service operation 'tableGetCollapseState' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int tableGetCollapseState(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, const struct xsd__base64Binary& sBookmark, struct tableGetCollapseStateResponse *lpsResponse);
        /// Web service operation 'tableSetCollapseState' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int tableSetCollapseState(ULONG64 ulSessionId, unsigned int ulTableId, const struct xsd__base64Binary& sCollapseState, struct tableSetCollapseStateResponse *lpsResponse) { return this->tableSetCollapseState(NULL, NULL, ulSessionId, ulTableId, sCollapseState, lpsResponse); }
        /// Web service operation 'tableSetCollapseState' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int tableSetCollapseState(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, const struct xsd__base64Binary& sCollapseState, struct tableSetCollapseStateResponse *lpsResponse);
        /// Web service operation 'tableMulti' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int tableMulti(ULONG64 ulSessionId, const struct tableMultiRequest& sRequest, struct tableMultiResponse *lpsResponse) { return this->tableMulti(NULL, NULL, ulSessionId, sRequest, lpsResponse); }
        /// Web service operation 'tableMulti' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int tableMulti(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct tableMultiRequest& sRequest, struct tableMultiResponse *lpsResponse);
        /// Web service operation 'submitMessage' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int submitMessage(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags, unsigned int *result) { return this->submitMessage(NULL, NULL, ulSessionId, sEntryId, ulFlags, result); }
        /// Web service operation 'submitMessage' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int submitMessage(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags, unsigned int *result);
        /// Web service operation 'finishedMessage' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int finishedMessage(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags, unsigned int *result) { return this->finishedMessage(NULL, NULL, ulSessionId, sEntryId, ulFlags, result); }
        /// Web service operation 'finishedMessage' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int finishedMessage(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags, unsigned int *result);
        /// Web service operation 'abortSubmit' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int abortSubmit(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int *result) { return this->abortSubmit(NULL, NULL, ulSessionId, sEntryId, result); }
        /// Web service operation 'abortSubmit' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int abortSubmit(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int *result);
        /// Web service operation 'resolveStore' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int resolveStore(ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreGuid, struct resolveUserStoreResponse *lpsResponse) { return this->resolveStore(NULL, NULL, ulSessionId, sStoreGuid, lpsResponse); }
        /// Web service operation 'resolveStore' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int resolveStore(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreGuid, struct resolveUserStoreResponse *lpsResponse);
        /// Web service operation 'resolveUserStore' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int resolveUserStore(ULONG64 ulSessionId, const char *szUserName, unsigned int ulStoreTypeMask, unsigned int ulFlags, struct resolveUserStoreResponse *lpsResponse) { return this->resolveUserStore(NULL, NULL, ulSessionId, szUserName, ulStoreTypeMask, ulFlags, lpsResponse); }
        /// Web service operation 'resolveUserStore' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int resolveUserStore(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const char *szUserName, unsigned int ulStoreTypeMask, unsigned int ulFlags, struct resolveUserStoreResponse *lpsResponse);
        /// Web service operation 'createUser' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int createUser(ULONG64 ulSessionId, struct user *lpsUser, struct setUserResponse *lpsUserSetResponse) { return this->createUser(NULL, NULL, ulSessionId, lpsUser, lpsUserSetResponse); }
        /// Web service operation 'createUser' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int createUser(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct user *lpsUser, struct setUserResponse *lpsUserSetResponse);
        /// Web service operation 'deleteUser' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int deleteUser(ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int *result) { return this->deleteUser(NULL, NULL, ulSessionId, ulUserId, sUserId, result); }
        /// Web service operation 'deleteUser' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int deleteUser(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int *result);
        /// Web service operation 'removeAllObjects' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int removeAllObjects(ULONG64 ulSessionId, const struct xsd__base64Binary& sExceptUserId, unsigned int *result) { return this->removeAllObjects(NULL, NULL, ulSessionId, sExceptUserId, result); }
        /// Web service operation 'removeAllObjects' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int removeAllObjects(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sExceptUserId, unsigned int *result);
        /// Web service operation 'getUser' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int getUser(ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, struct getUserResponse *lpsUserGetResponse) { return this->getUser(NULL, NULL, ulSessionId, ulUserId, sUserId, lpsUserGetResponse); }
        /// Web service operation 'getUser' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int getUser(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, struct getUserResponse *lpsUserGetResponse);
        /// Web service operation 'setUser' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int setUser(ULONG64 ulSessionId, struct user *lpsUser, unsigned int *result) { return this->setUser(NULL, NULL, ulSessionId, lpsUser, result); }
        /// Web service operation 'setUser' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int setUser(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct user *lpsUser, unsigned int *result);
        /// Web service operation 'getUserList' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int getUserList(ULONG64 ulSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, struct userListResponse *lpsUserList) { return this->getUserList(NULL, NULL, ulSessionId, ulCompanyId, sCompanyId, lpsUserList); }
        /// Web service operation 'getUserList' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int getUserList(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, struct userListResponse *lpsUserList);
        /// Web service operation 'getSendAsList' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int getSendAsList(ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, struct userListResponse *lpsUserList) { return this->getSendAsList(NULL, NULL, ulSessionId, ulUserId, sUserId, lpsUserList); }
        /// Web service operation 'getSendAsList' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int getSendAsList(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, struct userListResponse *lpsUserList);
        /// Web service operation 'addSendAsUser' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int addSendAsUser(ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int ulSenderId, const struct xsd__base64Binary& sSenderId, unsigned int *result) { return this->addSendAsUser(NULL, NULL, ulSessionId, ulUserId, sUserId, ulSenderId, sSenderId, result); }
        /// Web service operation 'addSendAsUser' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int addSendAsUser(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int ulSenderId, const struct xsd__base64Binary& sSenderId, unsigned int *result);
        /// Web service operation 'delSendAsUser' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int delSendAsUser(ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int ulSenderId, const struct xsd__base64Binary& sSenderId, unsigned int *result) { return this->delSendAsUser(NULL, NULL, ulSessionId, ulUserId, sUserId, ulSenderId, sSenderId, result); }
        /// Web service operation 'delSendAsUser' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int delSendAsUser(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int ulSenderId, const struct xsd__base64Binary& sSenderId, unsigned int *result);
        /// Web service operation 'getUserClientUpdateStatus' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int getUserClientUpdateStatus(ULONG64 ulSessionId, const struct xsd__base64Binary& sUserId, struct userClientUpdateStatusResponse *lpsResponse) { return this->getUserClientUpdateStatus(NULL, NULL, ulSessionId, sUserId, lpsResponse); }
        /// Web service operation 'getUserClientUpdateStatus' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int getUserClientUpdateStatus(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sUserId, struct userClientUpdateStatusResponse *lpsResponse);
        /// Web service operation 'purgeSoftDelete' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int purgeSoftDelete(ULONG64 ulSessionId, unsigned int ulDays, unsigned int *result) { return this->purgeSoftDelete(NULL, NULL, ulSessionId, ulDays, result); }
        /// Web service operation 'purgeSoftDelete' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int purgeSoftDelete(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulDays, unsigned int *result);
        /// Web service operation 'purgeDeferredUpdates' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int purgeDeferredUpdates(ULONG64 ulSessionId, struct purgeDeferredUpdatesResponse *lpsResponse) { return this->purgeDeferredUpdates(NULL, NULL, ulSessionId, lpsResponse); }
        /// Web service operation 'purgeDeferredUpdates' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int purgeDeferredUpdates(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct purgeDeferredUpdatesResponse *lpsResponse);
        /// Web service operation 'purgeCache' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int purgeCache(ULONG64 ulSessionId, unsigned int ulFlags, unsigned int *result) { return this->purgeCache(NULL, NULL, ulSessionId, ulFlags, result); }
        /// Web service operation 'purgeCache' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int purgeCache(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulFlags, unsigned int *result);
        /// Web service operation 'createStore' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int createStore(ULONG64 ulSessionId, unsigned int ulStoreType, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, const struct xsd__base64Binary& sStoreId, const struct xsd__base64Binary& sRootId, unsigned int ulFlags, unsigned int *result) { return this->createStore(NULL, NULL, ulSessionId, ulStoreType, ulUserId, sUserId, sStoreId, sRootId, ulFlags, result); }
        /// Web service operation 'createStore' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int createStore(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulStoreType, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, const struct xsd__base64Binary& sStoreId, const struct xsd__base64Binary& sRootId, unsigned int ulFlags, unsigned int *result);
        /// Web service operation 'removeStore' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int removeStore(ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreGuid, unsigned int ulSyncId, unsigned int *result) { return this->removeStore(NULL, NULL, ulSessionId, sStoreGuid, ulSyncId, result); }
        /// Web service operation 'removeStore' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int removeStore(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreGuid, unsigned int ulSyncId, unsigned int *result);
        /// Web service operation 'hookStore' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int hookStore(ULONG64 ulSessionId, unsigned int ulStoreType, const struct xsd__base64Binary& sUserId, const struct xsd__base64Binary& sStoreGuid, unsigned int ulSyncId, unsigned int *result) { return this->hookStore(NULL, NULL, ulSessionId, ulStoreType, sUserId, sStoreGuid, ulSyncId, result); }
        /// Web service operation 'hookStore' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int hookStore(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulStoreType, const struct xsd__base64Binary& sUserId, const struct xsd__base64Binary& sStoreGuid, unsigned int ulSyncId, unsigned int *result);
        /// Web service operation 'unhookStore' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int unhookStore(ULONG64 ulSessionId, unsigned int ulStoreType, const struct xsd__base64Binary& sUserId, unsigned int ulSyncId, unsigned int *result) { return this->unhookStore(NULL, NULL, ulSessionId, ulStoreType, sUserId, ulSyncId, result); }
        /// Web service operation 'unhookStore' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int unhookStore(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulStoreType, const struct xsd__base64Binary& sUserId, unsigned int ulSyncId, unsigned int *result);
        /// Web service operation 'getOwner' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int getOwner(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct getOwnerResponse *lpsResponse) { return this->getOwner(NULL, NULL, ulSessionId, sEntryId, lpsResponse); }
        /// Web service operation 'getOwner' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int getOwner(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct getOwnerResponse *lpsResponse);
        /// Web service operation 'resolveUsername' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int resolveUsername(ULONG64 ulSessionId, const char *lpszUsername, struct resolveUserResponse *lpsResponse) { return this->resolveUsername(NULL, NULL, ulSessionId, lpszUsername, lpsResponse); }
        /// Web service operation 'resolveUsername' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int resolveUsername(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const char *lpszUsername, struct resolveUserResponse *lpsResponse);
        /// Web service operation 'createGroup' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int createGroup(ULONG64 ulSessionId, struct group *lpsGroup, struct setGroupResponse *lpsSetGroupResponse) { return this->createGroup(NULL, NULL, ulSessionId, lpsGroup, lpsSetGroupResponse); }
        /// Web service operation 'createGroup' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int createGroup(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct group *lpsGroup, struct setGroupResponse *lpsSetGroupResponse);
        /// Web service operation 'setGroup' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int setGroup(ULONG64 ulSessionId, struct group *lpsGroup, unsigned int *result) { return this->setGroup(NULL, NULL, ulSessionId, lpsGroup, result); }
        /// Web service operation 'setGroup' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int setGroup(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct group *lpsGroup, unsigned int *result);
        /// Web service operation 'getGroup' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int getGroup(ULONG64 ulSessionId, unsigned int ulGroupId, const struct xsd__base64Binary& sGroupId, struct getGroupResponse *lpsReponse) { return this->getGroup(NULL, NULL, ulSessionId, ulGroupId, sGroupId, lpsReponse); }
        /// Web service operation 'getGroup' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int getGroup(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulGroupId, const struct xsd__base64Binary& sGroupId, struct getGroupResponse *lpsReponse);
        /// Web service operation 'getGroupList' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int getGroupList(ULONG64 ulSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, struct groupListResponse *lpsGroupList) { return this->getGroupList(NULL, NULL, ulSessionId, ulCompanyId, sCompanyId, lpsGroupList); }
        /// Web service operation 'getGroupList' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int getGroupList(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, struct groupListResponse *lpsGroupList);
        /// Web service operation 'groupDelete' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int groupDelete(ULONG64 ulSessionId, unsigned int ulGroupId, const struct xsd__base64Binary& sGroupId, unsigned int *result) { return this->groupDelete(NULL, NULL, ulSessionId, ulGroupId, sGroupId, result); }
        /// Web service operation 'groupDelete' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int groupDelete(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulGroupId, const struct xsd__base64Binary& sGroupId, unsigned int *result);
        /// Web service operation 'resolveGroupname' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int resolveGroupname(ULONG64 ulSessionId, const char *lpszGroupname, struct resolveGroupResponse *lpsResponse) { return this->resolveGroupname(NULL, NULL, ulSessionId, lpszGroupname, lpsResponse); }
        /// Web service operation 'resolveGroupname' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int resolveGroupname(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const char *lpszGroupname, struct resolveGroupResponse *lpsResponse);
        /// Web service operation 'deleteGroupUser' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int deleteGroupUser(ULONG64 ulSessionId, unsigned int ulGroupId, const struct xsd__base64Binary& sGroupId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int *result) { return this->deleteGroupUser(NULL, NULL, ulSessionId, ulGroupId, sGroupId, ulUserId, sUserId, result); }
        /// Web service operation 'deleteGroupUser' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int deleteGroupUser(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulGroupId, const struct xsd__base64Binary& sGroupId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int *result);
        /// Web service operation 'addGroupUser' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int addGroupUser(ULONG64 ulSessionId, unsigned int ulGroupId, const struct xsd__base64Binary& sGroupId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int *result) { return this->addGroupUser(NULL, NULL, ulSessionId, ulGroupId, sGroupId, ulUserId, sUserId, result); }
        /// Web service operation 'addGroupUser' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int addGroupUser(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulGroupId, const struct xsd__base64Binary& sGroupId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int *result);
        /// Web service operation 'getUserListOfGroup' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int getUserListOfGroup(ULONG64 ulSessionId, unsigned int ulGroupId, const struct xsd__base64Binary& sGroupId, struct userListResponse *lpsUserList) { return this->getUserListOfGroup(NULL, NULL, ulSessionId, ulGroupId, sGroupId, lpsUserList); }
        /// Web service operation 'getUserListOfGroup' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int getUserListOfGroup(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulGroupId, const struct xsd__base64Binary& sGroupId, struct userListResponse *lpsUserList);
        /// Web service operation 'getGroupListOfUser' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int getGroupListOfUser(ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, struct groupListResponse *lpsGroupList) { return this->getGroupListOfUser(NULL, NULL, ulSessionId, ulUserId, sUserId, lpsGroupList); }
        /// Web service operation 'getGroupListOfUser' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int getGroupListOfUser(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, struct groupListResponse *lpsGroupList);
        /// Web service operation 'createCompany' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int createCompany(ULONG64 ulSessionId, struct company *lpsCompany, struct setCompanyResponse *lpsResponse) { return this->createCompany(NULL, NULL, ulSessionId, lpsCompany, lpsResponse); }
        /// Web service operation 'createCompany' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int createCompany(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct company *lpsCompany, struct setCompanyResponse *lpsResponse);
        /// Web service operation 'deleteCompany' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int deleteCompany(ULONG64 ulSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, unsigned int *result) { return this->deleteCompany(NULL, NULL, ulSessionId, ulCompanyId, sCompanyId, result); }
        /// Web service operation 'deleteCompany' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int deleteCompany(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, unsigned int *result);
        /// Web service operation 'setCompany' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int setCompany(ULONG64 ulSessionId, struct company *lpsCompany, unsigned int *result) { return this->setCompany(NULL, NULL, ulSessionId, lpsCompany, result); }
        /// Web service operation 'setCompany' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int setCompany(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct company *lpsCompany, unsigned int *result);
        /// Web service operation 'getCompany' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int getCompany(ULONG64 ulSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, struct getCompanyResponse *lpsResponse) { return this->getCompany(NULL, NULL, ulSessionId, ulCompanyId, sCompanyId, lpsResponse); }
        /// Web service operation 'getCompany' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int getCompany(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, struct getCompanyResponse *lpsResponse);
        /// Web service operation 'resolveCompanyname' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int resolveCompanyname(ULONG64 ulSessionId, const char *lpszCompanyname, struct resolveCompanyResponse *lpsResponse) { return this->resolveCompanyname(NULL, NULL, ulSessionId, lpszCompanyname, lpsResponse); }
        /// Web service operation 'resolveCompanyname' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int resolveCompanyname(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const char *lpszCompanyname, struct resolveCompanyResponse *lpsResponse);
        /// Web service operation 'getCompanyList' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int getCompanyList(ULONG64 ulSessionId, struct companyListResponse *lpsCompanyList) { return this->getCompanyList(NULL, NULL, ulSessionId, lpsCompanyList); }
        /// Web service operation 'getCompanyList' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int getCompanyList(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct companyListResponse *lpsCompanyList);
        /// Web service operation 'addCompanyToRemoteViewList' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int addCompanyToRemoteViewList(ULONG64 ecSessionId, unsigned int ulSetCompanyId, const struct xsd__base64Binary& sSetCompanyId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, unsigned int *result) { return this->addCompanyToRemoteViewList(NULL, NULL, ecSessionId, ulSetCompanyId, sSetCompanyId, ulCompanyId, sCompanyId, result); }
        /// Web service operation 'addCompanyToRemoteViewList' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int addCompanyToRemoteViewList(const char *soap_endpoint_url, const char *soap_action, ULONG64 ecSessionId, unsigned int ulSetCompanyId, const struct xsd__base64Binary& sSetCompanyId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, unsigned int *result);
        /// Web service operation 'delCompanyFromRemoteViewList' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int delCompanyFromRemoteViewList(ULONG64 ecSessionId, unsigned int ulSetCompanyId, const struct xsd__base64Binary& sSetCompanyId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, unsigned int *result) { return this->delCompanyFromRemoteViewList(NULL, NULL, ecSessionId, ulSetCompanyId, sSetCompanyId, ulCompanyId, sCompanyId, result); }
        /// Web service operation 'delCompanyFromRemoteViewList' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int delCompanyFromRemoteViewList(const char *soap_endpoint_url, const char *soap_action, ULONG64 ecSessionId, unsigned int ulSetCompanyId, const struct xsd__base64Binary& sSetCompanyId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, unsigned int *result);
        /// Web service operation 'getRemoteViewList' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int getRemoteViewList(ULONG64 ecSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, struct companyListResponse *lpsCompanyList) { return this->getRemoteViewList(NULL, NULL, ecSessionId, ulCompanyId, sCompanyId, lpsCompanyList); }
        /// Web service operation 'getRemoteViewList' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int getRemoteViewList(const char *soap_endpoint_url, const char *soap_action, ULONG64 ecSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, struct companyListResponse *lpsCompanyList);
        /// Web service operation 'addUserToRemoteAdminList' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int addUserToRemoteAdminList(ULONG64 ecSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, unsigned int *result) { return this->addUserToRemoteAdminList(NULL, NULL, ecSessionId, ulUserId, sUserId, ulCompanyId, sCompanyId, result); }
        /// Web service operation 'addUserToRemoteAdminList' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int addUserToRemoteAdminList(const char *soap_endpoint_url, const char *soap_action, ULONG64 ecSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, unsigned int *result);
        /// Web service operation 'delUserFromRemoteAdminList' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int delUserFromRemoteAdminList(ULONG64 ecSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, unsigned int *result) { return this->delUserFromRemoteAdminList(NULL, NULL, ecSessionId, ulUserId, sUserId, ulCompanyId, sCompanyId, result); }
        /// Web service operation 'delUserFromRemoteAdminList' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int delUserFromRemoteAdminList(const char *soap_endpoint_url, const char *soap_action, ULONG64 ecSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, unsigned int *result);
        /// Web service operation 'getRemoteAdminList' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int getRemoteAdminList(ULONG64 ecSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, struct userListResponse *lpsUserList) { return this->getRemoteAdminList(NULL, NULL, ecSessionId, ulCompanyId, sCompanyId, lpsUserList); }
        /// Web service operation 'getRemoteAdminList' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int getRemoteAdminList(const char *soap_endpoint_url, const char *soap_action, ULONG64 ecSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, struct userListResponse *lpsUserList);
        /// Web service operation 'checkExistObject' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int checkExistObject(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags, unsigned int *result) { return this->checkExistObject(NULL, NULL, ulSessionId, sEntryId, ulFlags, result); }
        /// Web service operation 'checkExistObject' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int checkExistObject(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags, unsigned int *result);
        /// Web service operation 'readABProps' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int readABProps(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct readPropsResponse *readPropsResponse) { return this->readABProps(NULL, NULL, ulSessionId, sEntryId, readPropsResponse); }
        /// Web service operation 'readABProps' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int readABProps(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct readPropsResponse *readPropsResponse);
        /// Web service operation 'abResolveNames' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int abResolveNames(ULONG64 ulSessionId, struct propTagArray *lpaPropTag, struct rowSet *lpsRowSet, struct flagArray *lpaFlags, unsigned int ulFlags, struct abResolveNamesResponse *lpsABResolveNames) { return this->abResolveNames(NULL, NULL, ulSessionId, lpaPropTag, lpsRowSet, lpaFlags, ulFlags, lpsABResolveNames); }
        /// Web service operation 'abResolveNames' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int abResolveNames(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct propTagArray *lpaPropTag, struct rowSet *lpsRowSet, struct flagArray *lpaFlags, unsigned int ulFlags, struct abResolveNamesResponse *lpsABResolveNames);
        /// Web service operation 'syncUsers' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int syncUsers(ULONG64 ulSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, unsigned int *result) { return this->syncUsers(NULL, NULL, ulSessionId, ulCompanyId, sCompanyId, result); }
        /// Web service operation 'syncUsers' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int syncUsers(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, unsigned int *result);
        /// Web service operation 'setLockState' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int setLockState(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, bool bLocked, unsigned int *result) { return this->setLockState(NULL, NULL, ulSessionId, sEntryId, bLocked, result); }
        /// Web service operation 'setLockState' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int setLockState(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, bool bLocked, unsigned int *result);
        /// Web service operation 'resetFolderCount' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int resetFolderCount(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct resetFolderCountResponse *lpsResponse) { return this->resetFolderCount(NULL, NULL, ulSessionId, sEntryId, lpsResponse); }
        /// Web service operation 'resetFolderCount' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int resetFolderCount(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct resetFolderCountResponse *lpsResponse);
        /// Web service operation 'GetQuota' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int GetQuota(ULONG64 ulSessionId, unsigned int ulUserid, const struct xsd__base64Binary& sUserId, bool bGetUserDefault, struct quotaResponse *lpsQuota) { return this->GetQuota(NULL, NULL, ulSessionId, ulUserid, sUserId, bGetUserDefault, lpsQuota); }
        /// Web service operation 'GetQuota' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int GetQuota(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulUserid, const struct xsd__base64Binary& sUserId, bool bGetUserDefault, struct quotaResponse *lpsQuota);
        /// Web service operation 'SetQuota' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int SetQuota(ULONG64 ulSessionId, unsigned int ulUserid, const struct xsd__base64Binary& sUserId, struct quota *lpsQuota, unsigned int *result) { return this->SetQuota(NULL, NULL, ulSessionId, ulUserid, sUserId, lpsQuota, result); }
        /// Web service operation 'SetQuota' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int SetQuota(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulUserid, const struct xsd__base64Binary& sUserId, struct quota *lpsQuota, unsigned int *result);
        /// Web service operation 'AddQuotaRecipient' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int AddQuotaRecipient(ULONG64 ulSessionId, unsigned int ulCompanyid, const struct xsd__base64Binary& sCompanyId, unsigned int ulRecipientId, const struct xsd__base64Binary& sRecipientId, unsigned int ulType, unsigned int *result) { return this->AddQuotaRecipient(NULL, NULL, ulSessionId, ulCompanyid, sCompanyId, ulRecipientId, sRecipientId, ulType, result); }
        /// Web service operation 'AddQuotaRecipient' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int AddQuotaRecipient(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulCompanyid, const struct xsd__base64Binary& sCompanyId, unsigned int ulRecipientId, const struct xsd__base64Binary& sRecipientId, unsigned int ulType, unsigned int *result);
        /// Web service operation 'DeleteQuotaRecipient' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int DeleteQuotaRecipient(ULONG64 ulSessionId, unsigned int ulCompanyid, const struct xsd__base64Binary& sCompanyId, unsigned int ulRecipientId, const struct xsd__base64Binary& sRecipientId, unsigned int ulType, unsigned int *result) { return this->DeleteQuotaRecipient(NULL, NULL, ulSessionId, ulCompanyid, sCompanyId, ulRecipientId, sRecipientId, ulType, result); }
        /// Web service operation 'DeleteQuotaRecipient' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int DeleteQuotaRecipient(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulCompanyid, const struct xsd__base64Binary& sCompanyId, unsigned int ulRecipientId, const struct xsd__base64Binary& sRecipientId, unsigned int ulType, unsigned int *result);
        /// Web service operation 'GetQuotaRecipients' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int GetQuotaRecipients(ULONG64 ulSessionId, unsigned int ulUserid, const struct xsd__base64Binary& sUserId, struct userListResponse *lpsResponse) { return this->GetQuotaRecipients(NULL, NULL, ulSessionId, ulUserid, sUserId, lpsResponse); }
        /// Web service operation 'GetQuotaRecipients' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int GetQuotaRecipients(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulUserid, const struct xsd__base64Binary& sUserId, struct userListResponse *lpsResponse);
        /// Web service operation 'GetQuotaStatus' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int GetQuotaStatus(ULONG64 ulSessionId, unsigned int ulUserid, const struct xsd__base64Binary& sUserId, struct quotaStatus *lpsQuotaStatus) { return this->GetQuotaStatus(NULL, NULL, ulSessionId, ulUserid, sUserId, lpsQuotaStatus); }
        /// Web service operation 'GetQuotaStatus' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int GetQuotaStatus(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulUserid, const struct xsd__base64Binary& sUserId, struct quotaStatus *lpsQuotaStatus);
        /// Web service operation 'getChanges' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int getChanges(ULONG64 ulSessionId, const struct xsd__base64Binary& sSourceKeyFolder, unsigned int ulSyncId, unsigned int ulChangeId, unsigned int ulChangeType, unsigned int ulFlags, struct restrictTable *lpsRestrict, struct icsChangeResponse *lpsChanges) { return this->getChanges(NULL, NULL, ulSessionId, sSourceKeyFolder, ulSyncId, ulChangeId, ulChangeType, ulFlags, lpsRestrict, lpsChanges); }
        /// Web service operation 'getChanges' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int getChanges(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sSourceKeyFolder, unsigned int ulSyncId, unsigned int ulChangeId, unsigned int ulChangeType, unsigned int ulFlags, struct restrictTable *lpsRestrict, struct icsChangeResponse *lpsChanges);
        /// Web service operation 'setSyncStatus' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int setSyncStatus(ULONG64 ulSessionId, const struct xsd__base64Binary& sSourceKeyFolder, unsigned int ulSyncId, unsigned int ulChangeId, unsigned int ulChangeType, unsigned int ulFlags, struct setSyncStatusResponse *lpsResponse) { return this->setSyncStatus(NULL, NULL, ulSessionId, sSourceKeyFolder, ulSyncId, ulChangeId, ulChangeType, ulFlags, lpsResponse); }
        /// Web service operation 'setSyncStatus' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int setSyncStatus(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sSourceKeyFolder, unsigned int ulSyncId, unsigned int ulChangeId, unsigned int ulChangeType, unsigned int ulFlags, struct setSyncStatusResponse *lpsResponse);
        /// Web service operation 'getEntryIDFromSourceKey' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int getEntryIDFromSourceKey(ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreId, const struct xsd__base64Binary& folderSourceKey, const struct xsd__base64Binary& messageSourceKey, struct getEntryIDFromSourceKeyResponse *lpsResponse) { return this->getEntryIDFromSourceKey(NULL, NULL, ulSessionId, sStoreId, folderSourceKey, messageSourceKey, lpsResponse); }
        /// Web service operation 'getEntryIDFromSourceKey' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int getEntryIDFromSourceKey(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreId, const struct xsd__base64Binary& folderSourceKey, const struct xsd__base64Binary& messageSourceKey, struct getEntryIDFromSourceKeyResponse *lpsResponse);
        /// Web service operation 'getSyncStates' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int getSyncStates(ULONG64 ulSessionId, const struct mv_long& ulaSyncId, struct getSyncStatesReponse *lpsResponse) { return this->getSyncStates(NULL, NULL, ulSessionId, ulaSyncId, lpsResponse); }
        /// Web service operation 'getSyncStates' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int getSyncStates(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct mv_long& ulaSyncId, struct getSyncStatesReponse *lpsResponse);
        /// Web service operation 'getLicenseAuth' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int getLicenseAuth(ULONG64 ulSessionId, const struct xsd__base64Binary& sAuthData, struct getLicenseAuthResponse *lpsResponse) { return this->getLicenseAuth(NULL, NULL, ulSessionId, sAuthData, lpsResponse); }
        /// Web service operation 'getLicenseAuth' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int getLicenseAuth(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sAuthData, struct getLicenseAuthResponse *lpsResponse);
        /// Web service operation 'resolvePseudoUrl' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int resolvePseudoUrl(ULONG64 ulSessionId, const char *lpszPseudoUrl, struct resolvePseudoUrlResponse *lpsResponse) { return this->resolvePseudoUrl(NULL, NULL, ulSessionId, lpszPseudoUrl, lpsResponse); }
        /// Web service operation 'resolvePseudoUrl' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int resolvePseudoUrl(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const char *lpszPseudoUrl, struct resolvePseudoUrlResponse *lpsResponse);
        /// Web service operation 'getServerDetails' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int getServerDetails(ULONG64 ulSessionId, const struct mv_string8& szaSvrNameList, unsigned int ulFlags, struct getServerDetailsResponse *lpsResponse) { return this->getServerDetails(NULL, NULL, ulSessionId, szaSvrNameList, ulFlags, lpsResponse); }
        /// Web service operation 'getServerDetails' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int getServerDetails(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct mv_string8& szaSvrNameList, unsigned int ulFlags, struct getServerDetailsResponse *lpsResponse);
        /// Web service operation 'exportMessageChangesAsStream' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int exportMessageChangesAsStream(ULONG64 ulSessionId, unsigned int ulFlags, const struct propTagArray& sPropTags, const struct sourceKeyPairArray& _param_1, unsigned int ulPropTag, struct exportMessageChangesAsStreamResponse *lpsResponse) { return this->exportMessageChangesAsStream(NULL, NULL, ulSessionId, ulFlags, sPropTags, _param_1, ulPropTag, lpsResponse); }
        /// Web service operation 'exportMessageChangesAsStream' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int exportMessageChangesAsStream(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulFlags, const struct propTagArray& sPropTags, const struct sourceKeyPairArray& _param_1, unsigned int ulPropTag, struct exportMessageChangesAsStreamResponse *lpsResponse);
        /// Web service operation 'importMessageFromStream' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int importMessageFromStream(ULONG64 ulSessionId, unsigned int ulFlags, unsigned int ulSyncId, const struct xsd__base64Binary& sParentEntryId, const struct xsd__base64Binary& sEntryId, bool bIsNew, struct propVal *lpsConflictItems, const struct xsd__Binary& sStreamData, unsigned int *result) { return this->importMessageFromStream(NULL, NULL, ulSessionId, ulFlags, ulSyncId, sParentEntryId, sEntryId, bIsNew, lpsConflictItems, sStreamData, result); }
        /// Web service operation 'importMessageFromStream' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int importMessageFromStream(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulFlags, unsigned int ulSyncId, const struct xsd__base64Binary& sParentEntryId, const struct xsd__base64Binary& sEntryId, bool bIsNew, struct propVal *lpsConflictItems, const struct xsd__Binary& sStreamData, unsigned int *result);
        /// Web service operation 'getChangeInfo' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int getChangeInfo(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct getChangeInfoResponse *lpsResponse) { return this->getChangeInfo(NULL, NULL, ulSessionId, sEntryId, lpsResponse); }
        /// Web service operation 'getChangeInfo' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int getChangeInfo(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct getChangeInfoResponse *lpsResponse);
        /// Web service operation 'testPerform' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int testPerform(ULONG64 ulSessionId, const char *cmd, const struct testPerformArgs& sPerform, unsigned int *result) { return this->testPerform(NULL, NULL, ulSessionId, cmd, sPerform, result); }
        /// Web service operation 'testPerform' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int testPerform(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const char *cmd, const struct testPerformArgs& sPerform, unsigned int *result);
        /// Web service operation 'testSet' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int testSet(ULONG64 ulSessionId, const char *name, const char *value, unsigned int *result) { return this->testSet(NULL, NULL, ulSessionId, name, value, result); }
        /// Web service operation 'testSet' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int testSet(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const char *name, const char *value, unsigned int *result);
        /// Web service operation 'testGet' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int testGet(ULONG64 ulSessionId, const char *name, struct testGetResponse *lpsResponse) { return this->testGet(NULL, NULL, ulSessionId, name, lpsResponse); }
        /// Web service operation 'testGet' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int testGet(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const char *name, struct testGetResponse *lpsResponse);
        /// Web service operation 'getClientUpdate' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int getClientUpdate(const struct clientUpdateInfoRequest& sClientUpdateInfo, struct clientUpdateResponse *lpsResponse) { return this->getClientUpdate(NULL, NULL, sClientUpdateInfo, lpsResponse); }
        /// Web service operation 'getClientUpdate' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int getClientUpdate(const char *soap_endpoint_url, const char *soap_action, const struct clientUpdateInfoRequest& sClientUpdateInfo, struct clientUpdateResponse *lpsResponse);
        /// Web service operation 'setClientUpdateStatus' to the default endpoint with the default SOAP Action header, returns SOAP_OK or error code
        virtual int setClientUpdateStatus(const struct clientUpdateStatusRequest& sClientUpdateStatus, struct clientUpdateStatusResponse *lpsResponse) { return this->setClientUpdateStatus(NULL, NULL, sClientUpdateStatus, lpsResponse); }
        /// Web service operation 'setClientUpdateStatus' to an endpoint with a SOAP Action header, returns SOAP_OK or error code
        virtual int setClientUpdateStatus(const char *soap_endpoint_url, const char *soap_action, const struct clientUpdateStatusRequest& sClientUpdateStatus, struct clientUpdateStatusResponse *lpsResponse);
    };
#endif
